## org.apache.maven.shared.io.location
Interface Location

All Known Implementing Classes:
  ArtifactLocation, FileLocation, URLLocation

    public interface Location

Method Summary
`void` `close()`
`java.io.File` `getFile()`
`java.io.InputStream` `getInputStream()`
`java.lang.String` `getSpecification()`
`void` `open()`
`int` `read(byte[] buffer)`
`int` `read(java.nio.ByteBuffer buffer)`

Method Detail

### getFile

    java.io.File getFile()
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### open

    void open()
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    void close()

### read

    int read(java.nio.ByteBuffer buffer)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    int read(byte[] buffer)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### getInputStream

    java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getSpecification

    java.lang.String getSpecification()

Copyright © 2011. All Rights Reserved.